InputSubset (Java Platform SE 8 )
Keywords: java.awt.im.InputSubset class
Date: 2018-07-01

java.awt.im

## Class InputSubset

- java.lang.Object
- - java.lang.Character.Subset
  - - java.awt.im.InputSubset

-     public final class InputSubset
      extends Character.Subset

  Defines additional Unicode subsets for use by input methods. Unlike the UnicodeBlock subsets defined in the ``Character.UnicodeBlock`` class, these constants do not directly correspond to Unicode code blocks.
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InputSubset` | `FULLWIDTH_DIGITS` Constant for the fullwidth digits included in the Unicode halfwidth and fullwidth forms character block.
    `static InputSubset` | `FULLWIDTH_LATIN` Constant for the fullwidth ASCII variants subset of the Unicode halfwidth and fullwidth forms character block.
    `static InputSubset` | `HALFWIDTH_KATAKANA` Constant for the halfwidth katakana subset of the Unicode halfwidth and fullwidth forms character block.
    `static InputSubset` | `HANJA` Constant for all Han characters used in writing Korean, including a subset of the CJK unified ideographs as well as Korean Han characters that may be defined as surrogate characters.
    `static InputSubset` | `KANJI` Constant for all Han characters used in writing Japanese, including a subset of the CJK unified ideographs as well as Japanese Han characters that may be defined as surrogate characters.
    `static InputSubset` | `LATIN` Constant for all Latin characters, including the characters in the BASIC_LATIN, LATIN_1_SUPPLEMENT, LATIN_EXTENDED_A, LATIN_EXTENDED_B Unicode character blocks.
    `static InputSubset` | `LATIN_DIGITS` Constant for the digits included in the BASIC_LATIN Unicode character block.
    `static InputSubset` | `SIMPLIFIED_HANZI` Constant for all Han characters used in writing Simplified Chinese, including a subset of the CJK unified ideographs as well as Simplified Chinese Han characters that may be defined as surrogate characters.
    `static InputSubset` | `TRADITIONAL_HANZI` Constant for all Han characters used in writing Traditional Chinese, including a subset of the CJK unified ideographs as well as Traditional Chinese Han characters that may be defined as surrogate characters.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Character.Subset

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LATIN

          public static final InputSubset LATIN

      Constant for all Latin characters, including the characters in the BASIC_LATIN, LATIN_1_SUPPLEMENT, LATIN_EXTENDED_A, LATIN_EXTENDED_B Unicode character blocks.

    - #### LATIN_DIGITS

          public static final InputSubset LATIN_DIGITS

      Constant for the digits included in the BASIC_LATIN Unicode character block.

    - #### TRADITIONAL_HANZI

          public static final InputSubset TRADITIONAL_HANZI

      Constant for all Han characters used in writing Traditional Chinese, including a subset of the CJK unified ideographs as well as Traditional Chinese Han characters that may be defined as surrogate characters.

    - #### SIMPLIFIED_HANZI

          public static final InputSubset SIMPLIFIED_HANZI

      Constant for all Han characters used in writing Simplified Chinese, including a subset of the CJK unified ideographs as well as Simplified Chinese Han characters that may be defined as surrogate characters.

    - #### KANJI

          public static final InputSubset KANJI

      Constant for all Han characters used in writing Japanese, including a subset of the CJK unified ideographs as well as Japanese Han characters that may be defined as surrogate characters.

    - #### HANJA

          public static final InputSubset HANJA

      Constant for all Han characters used in writing Korean, including a subset of the CJK unified ideographs as well as Korean Han characters that may be defined as surrogate characters.

    - #### HALFWIDTH_KATAKANA

          public static final InputSubset HALFWIDTH_KATAKANA

      Constant for the halfwidth katakana subset of the Unicode halfwidth and fullwidth forms character block.

    - #### FULLWIDTH_LATIN

          public static final InputSubset FULLWIDTH_LATIN

      Constant for the fullwidth ASCII variants subset of the Unicode halfwidth and fullwidth forms character block.
      Since:
        1.3

    - #### FULLWIDTH_DIGITS

          public static final InputSubset FULLWIDTH_DIGITS

      Constant for the fullwidth digits included in the Unicode halfwidth and fullwidth forms character block.
      Since:
        1.3

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.